<template>
  <div class="card">
    <h1>{{ task.name }}</h1>
    <p>{{ task.duration }} every {{ task.everyNWeek }} week.</p>
  </div>
</template>

<script>
import {Task} from "~/interfaces"

export default {
  name: "Task",
  props: {
    task: {
      required: false,
      default: {
        name: "",
        duration: 60,
        everyNWeek: 1,
      },
      type: Task,
    },
  },
}
</script>

<style scoped></style>
